package com.cim.idm.wmspackage.invoice.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveRequest extends FieldAccessor implements DataInfo<MaterialReceiveRequestKey> {

	private MaterialReceiveRequestKey key;
	private String receiveRequestType;
	private String systemType;
	private String purchaseOrderGroup; 
	private String receiveRequestState;
	@UserColumnMark 
	private String supplierNO;	
	private String oemSiteName;
	private String oemSiteInCharge;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String erpPoName;
	private String saveReason;
	private String respPerson;
	private String respDepart;
	private Timestamp solveTime;
	private String stockOrgNo;
	private String purOrgNo;
	private Timestamp effectiveStartTime;
	private Timestamp effectiveEndTime;
	private Timestamp orderDate;
	private String passState;
	private String shipRequestDec;
	private String bezei;
	private String deliveryAddress;
	private String customName;
	private String deliveryRemark;
	private String orderDateStr;
	private String erpFactory;
	private String planDate;
	private String customerOrder;
	private String customerArea;
	private String carFlag;






	/**
	 * 2024.09.26 新增
	 */
	private String bedat;

    public String getBedat() {
        return bedat;
    }

    public void setBedat(String bedat) {
        this.bedat = bedat;
    }
	
	
	public String getPassState() {
		return passState;
	}

	public void setPassState(String passState) {
		this.passState = passState;
	}

	public MaterialReceiveRequest() {
	}

	public MaterialReceiveRequestKey getKey() {
		return key;
	}

	public void setKey(MaterialReceiveRequestKey key) {
		this.key = key;
	}

	public String getReceiveRequestType() {
		return receiveRequestType;
	}

	public void setReceiveRequestType(String receiveRequestType) {
		this.receiveRequestType = receiveRequestType;
	}

	public String getSystemType() {
		return systemType;
	}

	public String getErpPoName() {
		return erpPoName;
	}

	public void setErpPoName(String erpPoName) {
		this.erpPoName = erpPoName;
	}

	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}

	public String getPurchaseOrderGroup() {
		return purchaseOrderGroup;
	}

	public void setPurchaseOrderGroup(String purchaseOrderGroup) {
		this.purchaseOrderGroup = purchaseOrderGroup;
	}

	public String getReceiveRequestState() {
		return receiveRequestState;
	}

	public void setReceiveRequestState(String receiveRequestState) {
		this.receiveRequestState = receiveRequestState;
	}

	public String getSupplierNO() {
		return supplierNO;
	}

	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}

	public String getOemSiteName() {
		return oemSiteName;
	}

	public void setOemSiteName(String oemSiteName) {
		this.oemSiteName = oemSiteName;
	}

	public String getOemSiteInCharge() {
		return oemSiteInCharge;
	}

	public void setOemSiteInCharge(String oemSiteInCharge) {
		this.oemSiteInCharge = oemSiteInCharge;
	}



	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}



	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getSaveReason() {
		return saveReason;
	}

	public void setSaveReason(String saveReason) {
		this.saveReason = saveReason;
	}
	
	public String getRespPerson() {
		return respPerson;
	}

	public void setRespPerson(String respPerson) {
		this.respPerson = respPerson;
	}
	public String getRespDepart() {
		return respDepart;
	}
	public void setRespDepart(String respDepart) {
		this.respDepart = respDepart;
	}
	public Timestamp getSolveTime() {
		return solveTime;
	}

	public void setSolveTime(Timestamp solveTime) {
		this.solveTime = solveTime;
	}

	public String getShipRequestDec() {
		return shipRequestDec;
	}

	public void setShipRequestDec(String shipRequestDec) {
		this.shipRequestDec = shipRequestDec;
	}

	public String getBezei() {
		return bezei;
	}

	public void setBezei(String bezei) {
		this.bezei = bezei;
	}

	public String getDeliveryAddress() {
		return deliveryAddress;
	}

	public void setDeliveryAddress(String deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}

	public String getCustomName() {
		return customName;
	}

	public void setCustomName(String customName) {
		this.customName = customName;
	}

	public String getDeliveryRemark() {
		return deliveryRemark;
	}

	public void setDeliveryRemark(String deliveryRemark) {
		this.deliveryRemark = deliveryRemark;
	}

	public String getOrderDateStr() {
		return orderDateStr;
	}

	public void setOrderDateStr(String orderDateStr) {
		this.orderDateStr = orderDateStr;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getPlanDate() {
		return planDate;
	}

	public void setPlanDate(String planDate) {
		this.planDate = planDate;
	}

	public String getCustomerOrder() {
		return customerOrder;
	}

	public void setCustomerOrder(String customerOrder) {
		this.customerOrder = customerOrder;
	}

	public String getCustomerArea() {
		return customerArea;
	}

	public void setCustomerArea(String customerArea) {
		this.customerArea = customerArea;
	}

	public String getCarFlag() {
		return carFlag;
	}

	public void setCarFlag(String carFlag) {
		this.carFlag = carFlag;
	}

	public String getStockOrgNo() {
		return stockOrgNo;
	}

	public void setStockOrgNo(String stockOrgNo) {
		this.stockOrgNo = stockOrgNo;
	}

	public String getPurOrgNo() {
		return purOrgNo;
	}

	public void setPurOrgNo(String purOrgNo) {
		this.purOrgNo = purOrgNo;
	}

	public Timestamp getEffectiveStartTime() {
		return effectiveStartTime;
	}

	public void setEffectiveStartTime(Timestamp effectiveStartTime) {
		this.effectiveStartTime = effectiveStartTime;
	}

	public Timestamp getEffectiveEndTime() {
		return effectiveEndTime;
	}

	public void setEffectiveEndTime(Timestamp effectiveEndTime) {
		this.effectiveEndTime = effectiveEndTime;
	}

	public Timestamp getOrderDate() {
		return orderDate;
	}

	public void setOrderDate(Timestamp orderDate) {
		this.orderDate = orderDate;
	}
}
